AWS virtual keys
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Filter by project ID or name.
length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/aws-virtual-keys?project=my-project"{ "virtualKeys": [ { "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/aws-virtual-keys" \ -H "Content-Type: application/json" \ -d '{ "selector": { "externalId": "ext_example_01" }, "awsAccountId": "string", "awsRegion": "string", "idempotencyKey": "string" }'{ "virtualKey": { "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "setup": { "proxyUriEndpoint": "http://example.com", "proxyUriPath": "string", "accessKeyId": "string", "secretAccessKey": "string", "externalKeyId": "string" }}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the aws virtual key.
vkey_[0-9a-z]{28}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/rotate-credential" \ -H "Content-Type: application/json" \ -d '{ "generation": 2 }'{ "virtualKey": { "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "setup": { "proxyUriEndpoint": "http://example.com", "proxyUriPath": "string", "accessKeyId": "string", "secretAccessKey": "string", "externalKeyId": "string" }}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the aws virtual key.
vkey_[0-9a-z]{28}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/restore" \ -H "Content-Type: application/json" \ -d '{ "kmsKeyArn": "string" }'{ "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the aws virtual key.
vkey_[0-9a-z]{28}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/finalize-deletion" \ -H "Content-Type: application/json" \ -d '{ "kmsKeyArn": "string" }'{ "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the aws virtual key.
vkey_[0-9a-z]{28}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/decommission" \ -H "Content-Type: application/json" \ -d '{ "kmsKeyArn": "string", "deletionScheduledAt": "2019-08-24T14:15:22Z" }'{ "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the aws virtual key.
vkey_[0-9a-z]{28}$Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq"{ "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the aws virtual key.
vkey_[0-9a-z]{28}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/continue" \ -H "Content-Type: application/json" \ -d '{ "customKeyStoreId": "string", "kmsKeyArn": "string" }'{ "id": "vkey_0p9nwqgtftugsoey99lqyqq", "projectId": "string", "status": "provisioning", "externalKeyId": "string", "awsAccountId": "string", "awsRegion": "string", "customKeyStoreId": "string", "kmsKeyArn": "string", "alias": "string", "description": "string", "deletionWindowDays": 0, "tags": { "property1": "string", "property2": "string" }, "observedAt": "2019-08-24T14:15:22Z", "canaryPassedAt": "2019-08-24T14:15:22Z", "deletionScheduledAt": "2019-08-24T14:15:22Z", "finalDeletionObservedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}